sfcode An Online Competing and Development Environment

ieee754

## Read/write IEEE754 floating point numbers from/to a Buffer or array-like object.

# install

npm install ieee754

Get supported ieee754 with the Tidelift Subscription

# methods

‘var ieee754 = require('ieee754’)`

The `ieee754` object has the following functions:

ieee754.read = function (buffer, offset, isLE, mLen, nBytes)
ieee754.write = function (buffer, value, offset, isLE, mLen, nBytes)

The arguments mean the following:

- buffer = the buffer
- offset = offset into the buffer
- value = value to set (only for `write`)
- isLe = is little endian?
- mLen = mantissa length
- nBytes = number of bytes

# what is ieee754?

The IEEE Standard for Floating-Point Arithmetic (IEEE 754) is a technical standard for floating-point computation. Read more.

# license

BSD 3 Clause. Copyright (c) 2008, Fair Oaks Labs, Inc.